<?xml version="1.0" encoding="utf-8"?><!-- res/layout/custom_controller.xml -->
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/exo_controller"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/play_message_background"
        android:orientation="horizontal"
        android:paddingTop="35dp"
        android:paddingBottom="15dp">

        <ImageView
            android:id="@+id/back"
            android:layout_width="33dp"
            android:layout_height="33dp"
            android:layout_marginStart="12dp"
            android:padding="5dp"
            android:src="@drawable/icon_white_back" />

        <TextView
            android:id="@+id/text_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="11dp"
            android:gravity="center_vertical"
            android:text="@string/app_name"
            android:textColor="@color/white"
            android:textSize="16sp" />
    </LinearLayout>


    <ImageButton
        android:id="@+id/exo_play_pause"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:background="@color/color_transparent" />


    <RelativeLayout
        android:id="@+id/layout_progress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@drawable/play_message_background_bottom"
        android:paddingStart="10dp"
        android:paddingTop="20dp"
        android:paddingBottom="40dp">

        <TextView
            android:id="@id/exo_position"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:gravity="center"
            android:text="00:00"
            android:textColor="@color/white"
            android:textSize="14sp" />

        <androidx.media3.ui.DefaultTimeBar
            android:id="@+id/exo_progress"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_alignTop="@id/exo_position"
            android:layout_alignBottom="@id/exo_position"
            android:layout_toStartOf="@id/exo_duration"
            android:layout_toEndOf="@id/exo_position"
            android:visibility="visible"
            app:bar_height="3dp"
            app:played_color="@color/tab_selected_color"
            app:scrubber_color="@color/white"
            app:scrubber_dragged_size="20dp"
            app:scrubber_enabled_size="12dp"
            app:touch_target_height="12dp"
            app:unplayed_color="@color/color_80000000" />

        <TextView
            android:id="@id/exo_duration"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:layout_alignTop="@id/exo_position"
            android:layout_alignParentEnd="true"
            android:gravity="center"
            android:text="00:00"
            android:textColor="@color/white"
            android:textSize="14sp" />

    </RelativeLayout>

</RelativeLayout>
